%define name    endeavour
%define version 2.8.5
%define release %mkrel 1
%define API    2
 
Name:       %{name}
Version:    %{version}
Release:    %{release}
Summary:    Graphical file manager
Group:      Graphical desktop/Other
License:    GPL
URL:        http://wolfpack.twu.net/Endeavour2
Source0:    http://wolfpack.twu.net/users/wolfpack/%{name}-%{version}.tar.bz2
Patch:      %{name}-2.8.5-gcc.patch
BuildRequires:  X11-devel
BuildRequires:  gtk+-devel
BuildRequires:  imlib-devel
BuildRequires:  libzip-devel
BuildRequires:  libtar-devel
BuildRequires:  libxar-devel
BuildRequires:  bzip2-devel
BuildRequires:  libxxf86vm-static-devel
Obsoletes:  libendeavour2
Provides:    libendeavour2
BuildRoot:  %_tmppath/%{name}-%{version}
 
%description
Endeavour Mark II is a complete file management suite that comes
with a File Browser, Image Browser, Archiver, Recycled Objects 
system, and a set of file & disk management utility programs. 

Featuring: 
 
  *  Two pane tree & list style File Browser. 
  *  Image Browser with thumbs list and a pan & zoom image viewer. 
  *  Archiver for viewing, creating, and extracting packages. 
  *  Commercial quality user-interface design. 
  *  Convient drag & drop operations. 
  *  Drag & drop downloading with the WGet Front End. 
  *  Extended MIME Types support with external import/export support  
  *  for other MIME Type file formats. 
  *  Fully customizable tool bars and list headings. 
  *  A recycled objects system. 
  *  Device and disk utility programs: 
  *  Download - Front end for the GNU WGet 
  *  HEdit - Hex editor 
  *  SysInfo - CPU Display 
  *  ZipTool - Front end for ZipTools
 

%package -n %{name}-devel
Summary:        Development header files for %{name}
Group:          Development/C
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:     libendeavour2-devel
Provides:       libendeavour2-devel
 
%description -n %{name}-devel
Libraries, include files and other resources you can use to develop
%{name} applications.

%prep
%setup -q 
%patch -p 1

%build
export CFLAGS="%optflags -fPIC"
./configure Linux -v --disable=arch-i686 --libdir=-L%{_libdir}
make \
    PREFIX=%{_prefix} \
    LIB_DIR=%{_libdir} \
    MAN_DIR=/usr/share/man/man1 \
    EDV_INCLUDE_DIR=%{_includedir}/%{name}%{API} \
    EDV_LIB_DIR=%{_libdir}/%{name}%{API} \
    EDV_BIN_DIR=%{_libdir}/%{name}%{API} \
    EDV_ARCH_DIR=%{_libdir}/%{name}%{API} \
    all
 

%install
rm -rf %{buildroot}
make \
    PREFIX=%{buildroot}%{_prefix} \
    LIB_DIR=%{buildroot}%{_libdir} \
    MAN_DIR=%{buildroot}/usr/share/man/man1 \
    MAN1_DIR=%{buildroot}/usr/share/man/man1 \
    EDV_INCLUDE_DIR=%{buildroot}%{_includedir}/%{name}%{API} \
    EDV_LIB_DIR=%{buildroot}%{_libdir}/%{name}%{API} \
    EDV_BIN_DIR=%{buildroot}%{_libdir}/%{name}%{API} \
    EDV_ARCH_DIR=%{buildroot}%{_libdir}/%{name}%{API} \
    install

# remove useless symlink
rm -f %{buildroot}%{_libdir}/libendeavour2.so 

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Endeavour
Comment=Graphical file manager
Exec=%{_bindir}/%{name}%{API}
Icon=%{_iconsdir}/%{name}.png
Terminal=false
Type=Application 
StartupNotify=true
Categories=GTK;FileManager;X-MandrivaLinux-System-FileTools;
EOF

rm -f %{buildroot}%{_libdir}/%{name}2/{LICENSE,README}

%post
%update_menus
%{update_desktop_database}

%postun
%clean_menus
%{clean_desktop_database}
 
%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS HACKING INSTALL LANGUAGE LICENSE README TODO
%{_bindir}/%{name}%{API}
%{_libdir}/%{name}%{API}
%{_mandir}/man1/*
%exclude %{_mandir}/man1/*config*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}%{API}
#%{_libdir}/*.so
%{_iconsdir}/%{name}%{API}*
 

%files -n %{name}-devel
%defattr(-,root,root)
%{_includedir}/%{name}%{API}
%{_bindir}/%{name}%{API}-config 
%{_mandir}/man1/*config*


%changelog
* Tue Feb 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.8.5-1mdv2008.1
+ Revision: 162656
- update gcc patch
- spec cleanup
- fix dependencies
  fix x86_64 build
- new version
- rebuild
- new version
  drop old menu
- update to new version 2.8.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild with -fPIC
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Tue Sep 26 2006 Charles A Edwards <eslrahc@mandriva.org> 2.7.1-3mdv2007.0
- adjust menu entry and synce src and bi rpms

* Mon Sep 25 2006 Charles A Edwards <eslrahc@mandriva.org> 2.7.1-2mdv2007.0
- fix .desktop entry (Thanks to "Marek Kruz.el" <marek@202-159.is.net.pl>)

* Tue Aug 01 2006 Charles A Edwards <eslrahc@mandriva.org> 2.7.1-1mdv2007.0
- 2.7.1
- use API not major
- drop lib pkgs, handle as would plugin

* Fri Jul 07 2006 Charles A Edwards <eslrahc@mandriva.org> 2.6.1-2mdv2007.0
- fix provides
- add link

* Mon Jul 03 2006 Charles A Edwards <eslrahc@mandriva.org> 2.6.1-1mdv2007.0
- 2.6.1
- add zip and mode extention support
- update description 
- fix so install
- add man to devel pkg
- rm dub _liconsdir entry
- xdg

* Thu Jan 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.5.7-1mdk
- New release 2.5.7
- %%mkrel

* Sun Nov 06 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.5.6-1mdk
- New release 2.5.6

* Tue Sep 20 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.5.3-1mdk
- New release 2.5.3

* Sun Feb 06 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.5.2-1mdk
- 2.5.2

* Sun Jan 16 2005 Guillaume Rousse <guillomovitch@mandrake.org> 2.5.1-1mdk
- New release 2.5.1

* Tue Nov 16 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.4.6-2mdk 
- fix menu entry

* Tue Nov 16 2004 Guillaume Rousse <guillomovitch@mandrakesoft.com> 2.4.6-1mdk
- New release 2.4.6

* Thu Jul 22 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.4.4-2mdk 
- explicit libdir

* Tue Jul 06 2004 Guillaume Rousse <guillomovitch@mandrakesoft.com> 2.4.4-1mdk
- New release 2.4.4

* Wed Jun 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.4.3-1mdk
- 2.4.3

* Fri Jun 04 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.4.2-1mdk
- new version

* Mon May 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.4.1-1mdk
- 2.4.1
- remove patch merged upstream

* Fri Jan 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 2.3.7-1mdk
- new version
- libification
- correct doc files
- use original icons
- new menu

* Mon Dec 29 2003 Michael Scherer <misc@mandrake.org> 2.3.6-2mdk
- remove /usr/lib/libendeavour2.so link ( was not present before )

* Sat Dec 06 2003 Michael Scherer <misc@mandrake.org> 2.3.6-1mdk
- 2.3.6
- drop the last part of the previous patch

